Skip to content
Endless Documentation

Update Connectors

PATCH
/organizations/{organization_id}/connectors/{connector_id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length
connector_id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/organizations/org_abc123/connectors/github" \  -H "Content-Type: application/json" \  -d '{}'
{  "connector": {    "id": "string",    "organization_id": "string",    "label": "string",    "description": "string",    "url": "string",    "transport": "http",    "auth_kind": "clerk",    "provider": "string",    "scopes": "string",    "client_env_prefix": "string",    "catalog": "string",    "catalog_fingerprint": "string",    "catalog_at": "2019-08-24T14:15:22Z",    "created_by_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}